WorldGuard 5.7.5 (JAR only)

Details

  • Filename
    worldguard-5.7.5.jar
  • Uploaded by
  • Uploaded
    May 26, 2013
  • Size
    318.66 KB
  • Downloads
    44,542
  • MD5
    e148da437f878bee38f415a575f4d43d

Supported Bukkit Versions

  • 1.5.2
  • 1.5.1
  • 1.5.0

Changelog

Changes in v5.7.5:

  • Small patch for some issues in 5.7.4, such as firecharge usage and allowed-cmd flag being broken.
  • NB: Due to the way firecharges and lighters are handled in Bukkit, you will have to set the __global__ lighter flag to ALLOW to let people use them outside regions by default. Type /rg f __global__ lighter allow. Note that in future versions this will no longer be required as a workaround is in place.

Changes in v5.7.4:

  • BREAKING CHANGE: Removed the cyan "**" in front of greeting and farewell messages to allow more customizability. You can re-add them by adding "&c** " to the flag.
  • Fixed an issue enderpearling inside exit/entry deny regions.
  • Added checks to players teleporting in and out of exit/entry regions.
  • Fix bad matching in blocked and allowed command flags.
  • Fixed heal flag bugs when player max health was increased.
  • Add fishing to xp blocker.
  • Applied other-explosion flag to entity damage as well.
  • Fixed an issue with interaction that should allow blacklisting item use actions with no block involved (eg fishing rods, potions)
  • Fix witherskull/fireball settings not being differentiated in one case
  • Allow cow milking in no-build areas
  • Fix infinite durability breaking items instantly.

Changes in v5.7.3:

  • Fixed the error caused by Bukkit's change of the TNT minecart API.

Changes in v5.7.2:

  • Updated to MineCraft 1.5.
  • Added TNT Minecart support. They are handled with the same flags/settings as TNT.
  • Added mining and smelting xp handling to the xp drops flag and setting.
  • Fixed a few edge cases for placing items on region borders.
  • Legacy: Fixed issue with //stack not respecting item metadata.

Read the Wiki Chat with Us Report a Bug Source Code

  • WorldEdit should be updated to version 5.5.6 or newer.